## com.google.appengine.tools.development.testing
Class LocalXMPPServiceTestConfig

    java.lang.Object
      com.google.appengine.tools.development.testing.LocalXMPPServiceTestConfig

All Implemented Interfaces:
  LocalServiceTestConfig

    public class LocalXMPPServiceTestConfig

extends java.lang.Object
implements LocalServiceTestConfig

Config for accessing the local xmpp service in tests.

Constructor Summary
`LocalXMPPServiceTestConfig()`

Method Summary
`static LocalXMPPService` `getLocalXMPPService()`
`void` `setUp()` Set up the local service.
`void` `tearDown()` Tear down the local service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalXMPPServiceTestConfig

    public LocalXMPPServiceTestConfig()

Method Detail

### setUp

    public void setUp()

  Description copied from interface: `LocalServiceTestConfig`
  Set up the local service.

  Specified by:
    `setUp` in interface `LocalServiceTestConfig`

### tearDown

    public void tearDown()

  Description copied from interface: `LocalServiceTestConfig`
  Tear down the local service.

  Specified by:
    `tearDown` in interface `LocalServiceTestConfig`

### getLocalXMPPService

    public static LocalXMPPService getLocalXMPPService()